public class ListaCircular {
	int tamanho = 0;
	No local = null;

	public void inserir(String in) {
		No no = new No(in);
		if (local == null) {
			local = no;
			local.proximo = local;
		} else {
			no.proximo = local.proximo;
			local.proximo = no;
		}
		tamanho++;
	}

	public void limpar() {
		tamanho = 0;
		local = null;
	}

	public String pegaProximo() {
		local = local.proximo;
		return local.info;
	}

	public void excluir(String str) {
		No anterior = local;
		String strNo = pegaProximo();
		int i = 0;
		while (!str.equals(strNo) && (i < tamanho)) {
			anterior = local;
			strNo = pegaProximo();
			i++;
		}
		if (strNo.equals(str)) {
			if (tamanho == 1) {
				local = null;
			} else {
				anterior.proximo = local.proximo;
				local = anterior;
			}
			tamanho--;
		}
	}
	
	public String toString() {
		String out = "(";
		for (int i = 0; i < tamanho; i++) {
			out += pegaProximo() + ", ";
		}
		out += ")";
		return out;
	}
}
